FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106100606.p0.git.4ad3048 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106100606.p0.git.4ad3048 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4ad3048 OS_GIT_VERSION=4.6.0-202106100606.p0.git.4ad3048-4ad3048 SOURCE_DATE_EPOCH=1623302749 SOURCE_GIT_COMMIT=4ad304884782b7b4b8b25e2c18991af6f76a5cac SOURCE_GIT_TAG=4ad3048 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

WORKDIR /go/src/github.com/openshift/cluster-resource-override-admission-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0-202106021513.p0.git.618b71d
ENV __doozer=update BUILD_RELEASE=202106100606.p0.git.4ad3048 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106100606.p0.git.4ad3048 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4ad3048 OS_GIT_VERSION=4.6.0-202106100606.p0.git.4ad3048-4ad3048 SOURCE_DATE_EPOCH=1623302749 SOURCE_GIT_COMMIT=4ad304884782b7b4b8b25e2c18991af6f76a5cac SOURCE_GIT_TAG=4ad3048 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

COPY --from=builder /go/src/github.com/openshift/cluster-resource-override-admission-operator/bin/cluster-resource-override-admission-operator /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift ClusterResourceOverride Operator" \
        io.k8s.description="Manages Pod Resource(s)" \
        io.openshift.tags="openshift,overcommit" \
        com.redhat.delivery.appregistry="False" \
        name="openshift/ose-clusterresourceoverride-rhel8-operator" \
        com.redhat.component="ose-clusterresourceoverride-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202106100606.p0.git.4ad3048" \
        io.openshift.build.commit.id="4ad304884782b7b4b8b25e2c18991af6f76a5cac" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-resource-override-admission-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-resource-override-admission-operator/commit/4ad304884782b7b4b8b25e2c18991af6f76a5cac" \
        version="v4.6.0"

